#MiniZed PMOD 2

set_property PACKAGE_PIN N11 [get_ports iic_rtl_scl_io]
set_property PACKAGE_PIN N12 [get_ports iic_rtl_sda_io]

set_property IOSTANDARD LVCMOS33 [get_ports iic_rtl_scl_io]
set_property IOSTANDARD LVCMOS33 [get_ports iic_rtl_sda_io]


#Creating SCL CLOCK at 100 Mhz
create_clock -period 10.000 -name IIC_SCL_CLOCK [get_ports iic_rtl_scl_io]

##Input Delays

set_input_delay -clock IIC_SCL_CLOCK -clock_fall -max 0.000 [get_ports iic_rtl_sda_io]
set_input_delay -clock IIC_SCL_CLOCK -clock_fall -min 0.000 [get_ports iic_rtl_sda_io]


##Output Delays

set_output_delay -clock IIC_SCL_CLOCK -max -0.592 [get_ports iic_rtl_scl_io]
set_output_delay -clock IIC_SCL_CLOCK -min 0.040 [get_ports iic_rtl_scl_io]

set_output_delay -clock IIC_SCL_CLOCK -max -1.000 [get_ports iic_rtl_sda_io]
set_output_delay -clock IIC_SCL_CLOCK -min -1.000 [get_ports iic_rtl_sda_io]





